# API Reference

Dive into the specifics of each API endpoint by checking out our complete documentation.

<pre><code><a data-footnote-ref href="#user-content-fn-1">URL PREFIX</a>
https://elyssa-api.azurewebsites.net/api/
</code></pre>

### API versioning

We're always adding features and making improvements to our API, but we won't allow your app to crash because of a change we make to our API. So if we make a significant change to an endpoint, we will

**Extra tips**

| Feature       | Guideline                                                                                                                      | Key takeaway                    |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------ | ------------------------------- |
| String Values | Our API does not support null strings. To leave a field empty, either omit it from the request or send an empty string (`""`). | Avoid `null`; use `""` instead. |
| Data Types    | Boolean values (`true`/`false`) are distinct from string values (`"true"`/`"false"`).                                          | Don't use quotes for booleans.  |
| Timezones     | All timestamps are stored in UTC+0. Most frameworks and browsers will handle the local conversion automatically.               | Server time is always UTC.      |

<br>

[^1]:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://elyssa-app.gitbook.io/api-docs/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
